effect give @a saturation infinite 0 true
effect give @a resistance infinite 255 true
execute as @e[type=villager] at @s run tp @s ~ ~ ~ facing entity @p[distance=..7]

#Pause function
effect give @a[tag=!admin,scores={pause=1}] slowness 1 10 true
effect give @a[tag=!admin,scores={pause=1}] jump_boost 1 128 true

execute as @a store result score @s yLevel run data get entity @s Pos[1]
execute as @e[type=item] store result score @s yLevel run data get entity @s Pos[1]

xp set @a 69 levels

#in puzzle room
execute as @a[x=-68,y= 221,z= 178,dx=12,dy=10,dz=38] run function main:build/room1/inroom
execute as @a[x=-45,y=221,z=137,dx=-12,dy=11,dz=17] run function main:build/room2/inroom2
execute as @a[x=-71,y=221,z=175,dx=-23,dy=11,dz=-7] run function main:build/room3/inroom3
execute as @a[x=70,y=2,z=151,dx=-100,dy=8,dz=-19] run function main:redstone/inredstoneroom
execute as @a[x=9,y=2,z=157,dx=-39,dy=8,dz=-27] run function main:redstone/inredstoneroom
execute as @a[x=116,y=138,z=-144,dx=-35,dy=20,dz=-39] run function main:sewer/witnesspuzzle

#NOT in build area
execute as @a unless entity @s[x=-109,y= 214,z= 121,dx=67,dy=20,dz=96] run function main:build/notinbuild
execute as @a unless entity @s[x=70,y=2,z=151,dx=-100,dy=8,dz=-19] run scoreboard players set @s break.redstone 0
execute as @a unless entity @s[x=116,y=138,z=-144,dx=-35,dy=20,dz=-39] run scoreboard players set @s break.lime_wool 0

#Sewer TP system

execute if entity @a[tag=sewer1,scores={yLevel=..143}] run tp @a[tag=sewer1,scores={yLevel=..143}] 102 146 5 180 0
execute if entity @a[tag=sewer2,scores={yLevel=..143}] run tp @a[tag=sewer2,scores={yLevel=..143}] 101 147 -107 180 0
execute if entity @a[tag=sewer3,scores={yLevel=..143}] run tp @a[tag=sewer3,scores={yLevel=..143}] 101 147 -163 90 0
execute if entity @a[tag=sewer4,scores={yLevel=..156}] run tp @a[tag=sewer4,scores={yLevel=..143}] 116 147 -163 -90 0
execute if entity @a[tag=sewer5,scores={yLevel=..165}] run tp @a[tag=sewer5,scores={yLevel=..165}] 175 169 -155 -90 0

# reset_control function call (checking for /trigger sewer_restart prompted by text at end of fail cutscene)
execute if entity @a[scores={sewer_restart=1}] run function main:sewer/resetsewer/reset_control

#Losing boots in lvl 1
execute if entity @a[tag=sewer1] run execute if entity @e[type=item,scores={yLevel=..143}] run function main:sewer/replaceboots

# replace anvil in lvl 5
execute if entity @a[tag=sewer5] run setblock 182 170 -163 anvil[facing=east]

#Flower check
execute if entity @a[tag=!admin,nbt={Inventory:[{id:"minecraft:allium"}]}] run function main:flower/secretflower

# Showing youtuber names in lobby
execute if entity @a[tag=!admin,x=19,y=68,z=23,dx=-22,dy=8,dz=21] run execute as @e[type=minecraft:armor_stand,tag=youtubers] run data merge entity @s {CustomNameVisible:1b}
execute unless entity @a[tag=!admin,x=19,y=68,z=23,dx=-22,dy=8,dz=21] run execute as @e[type=minecraft:armor_stand,tag=youtubers] run data merge entity @s {CustomNameVisible:0b}